Subject: Re: bug#32991: 27.0.50; diff-auto-refine-mode a no-op

From: Stefan Monnier <[email-masked]>
Date: Wed, 27 Feb 2019 10:04:35 -0500

> Right, here is the first part.  I noticed another use of
> diff-auto-refine-mode (in admin/gitmerge.el) and its info
> documentation, so I've updated those too.

LGTM.

> Okay, I'm fine with removing the re-narrowing too if there are no
> objections.

No objection from me.

> I'd still like to add a defcustom for the recentering, to allow
> navigation in Diff mode buffers that respects scroll-related
> variables.  But I think I will open a different bug for these issues,
> since this one is nearly fixed.

Yes, let's please first treat it as a bug.  Maybe we won't be able to
fix it without disabling recentering here, in which case we'll add
a defcustom for it, but maybe we can make it recenter *and* obey your
scroll settings at the same time.

        Stefan